.slider {
    width: 100%;
    position: relative;
    padding: 0 60px;
}

.slider,
.slider * {
    box-sizing: border-box;
}

.slider .slide-container {
    width: 100%;
    max-width: 100%;
    overflow: hidden;
    white-space: nowrap;
}

.slider .slider-track {
    transition: transform 0.7s ease-in-out;
}

.slider .slider-track.disable-transition {
    transition: none;
}

.slider .slide {
    display: inline-flex;
    justify-content: center;
    white-space: normal;
    padding: 0 5px;
}

.slider .arrow-left,
.slider .arrow-right {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 50%;
    border: 1px solid #333333;
    width: 50px;
    height: 50px;
    background: rgba(255, 255, 255, 0.7);
    cursor: pointer;
    transition: transform 0.3s ease;
}

.slider .arrow-left.disabled,
.slider .arrow-right.disabled {
    opacity: 0.5;
    pointer-events: none;
}

.slider .arrow-left:hover,
.slider .arrow-right:hover {
    transform: translateY(-50%) scale(1.1);
}

.slider .arrow-left {
    left: 0;
}

.slider .arrow-right {
    right: 0;
}

.slider .arrow-left::before,
.slider .arrow-right::before {
    content: '';
    display: block;
    width: 0;
    height: 0;
    border-style: solid;
    border-color: transparent;
}

.slider .arrow-left::before {
    border-width: 10px 15px 10px 0;
    border-right-color: #333333;
}

.slider .arrow-right::before {
    border-width: 10px 0 10px 15px;
    border-left-color: #333333;
}
